<template>
  <NuxtLayout>
    <NuxtPage />
  </NuxtLayout>
</template>

<style lang="scss">
@import 'primeicons/primeicons.css';
</style>

<script lang="ts" setup>
// Необходимо, по скольку происходит инициализация темы (plugins не отработает)
useTheme()
// const { setLightTheme } = useTheme()

// setLightTheme()

useHead({
  htmlAttrs: {
    lang: 'ru'
  },
  meta: [
    {
      name: 'viewport',
      content: 'width=device-width, initial-scale=1'
    }
  ],
  style: [
    {
      innerHTML:
        '@layer reset,variables,classes,tailwind-base,variables,primevue,tailwind-utilities,app'
    }
  ]
})
</script>
